export * from './includes/localeGetters.js';
export * from './includes/utils.js';
export declare function waitLocale(locale?: string): Promise<void>;
export { init } from './configs.js';
export { $locale as locale } from './stores/locale.js';
export { $dictionary as dictionary, $locales as locales, addMessages, } from './stores/dictionary.js';
export { registerLocaleLoader as register } from './includes/loaderQueue.js';
export { $isLoading as isLoading } from './stores/loading.js';
export { formatMessage, $format as format, $format as _, $format as t, $formatDate as date, $formatNumber as number, $formatTime as time, $getJSON as json, } from './stores/formatters.js';
export { getDateFormatter, getNumberFormatter, getTimeFormatter, } from './includes/formatters.js';
declare type PluralRule = "zero" | "one" | "two" | "few" | "many" | "other" | number;
declare type PluralOptions = Record<PluralRule, string>;
export declare function __interpolate(value: any): any;
export declare function __offsetPlural(value: number, offset: number, opts: PluralOptions): string;
export declare function __plural(value: number, opts: PluralOptions): string;
export declare function __select(value: any, opts: Record<any, string>): string;
export declare function __number(value: number, format?: string | object): string;
export declare function __date(value: Date, format?: string): string;
export declare function __time(value: Date, format?: string): string;
