"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$locale = void 0;
const store_1 = require("svelte/store");
const loaderQueue_js_1 = require("../includes/loaderQueue.js");
const utils_js_1 = require("../includes/utils.js");
const dictionary_js_1 = require("./dictionary.js");
const $locale = (0, store_1.writable)('');
exports.$locale = $locale;
$locale.subscribe((newLocale) => {
    (0, utils_js_1.setCurrentLocale)(newLocale);
    if (typeof window !== 'undefined') {
        if (newLocale !== '') {
            document.documentElement.setAttribute('lang', newLocale);
        }
    }
});
const localeSet = $locale.set;
$locale.set = (newLocale) => {
    if ((0, dictionary_js_1.getClosestAvailableLocale)(newLocale) && (0, loaderQueue_js_1.hasLocaleQueue)(newLocale)) {
        return (0, loaderQueue_js_1.flush)(newLocale).then(() => localeSet(newLocale));
    }
    return localeSet(newLocale);
};
// istanbul ignore next
$locale.update = (fn) => {
    let currentLocale = (0, utils_js_1.getCurrentLocale)();
    fn(currentLocale);
    localeSet(currentLocale);
};
